package cn.iocoder.yudao.module.system.api.wechat;

import cn.iocoder.yudao.module.system.api.wechat.dto.CorpSendMessage;
import cn.iocoder.yudao.module.system.api.wechat.dto.CorpUserResponse;

public interface CorpWechatApi {

    public String getAccessToken(Long tenantId);


    public CorpUserResponse getUserByUserTicket(String userTicket);

    public CorpUserResponse getUserByCode(String code);

    public String sendMessage(CorpSendMessage req);

    public String getUserIdByMobile(String mobile);

    public Integer syncCorpUserId();


}
